Package org.lwjgl.opengl

# Class EXTTextureSRGBDecode

java.lang.Object
org.lwjgl.opengl.EXTTextureSRGBDecode

public final class EXTTextureSRGBDecode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DECODE_EXT`
Accepted by the <enum> parameter of TexParameterf, TexParameteri, SamplerParameteri, SamplerParameterf, SamplerParameteriv, SamplerParameterfv, SamplerParameterIiv and SamplerParameterIuiv:
`static final int`
`GL_SKIP_DECODE_EXT`
Accepted by the <enum> parameter of TexParameterf, TexParameteri, SamplerParameteri, SamplerParameterf, SamplerParameteriv, SamplerParameterfv, SamplerParameterIiv and SamplerParameterIuiv:
`static final int`
`GL_TEXTURE_SRGB_DECODE_EXT`
Accepted by the <pname> parameter of TexParameterf, TexParameteri, GetTexParameterfv, GetTexParameteriv, SamplerParameteri, SamplerParameterf, SamplerParameteriv, SamplerParameterfv, SamplerParameterIiv, SamplerParameterIuiv, GetSamplerParameteriv, GetSamplerParameterfv, GetSamplerParameterIiv, and GetSamplerParameterIuiv:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_SRGB_DECODE_EXT

public static final int GL_TEXTURE_SRGB_DECODE_EXT
Accepted by the <pname> parameter of TexParameterf, TexParameteri, GetTexParameterfv, GetTexParameteriv, SamplerParameteri, SamplerParameterf, SamplerParameteriv, SamplerParameterfv, SamplerParameterIiv, SamplerParameterIuiv, GetSamplerParameteriv, GetSamplerParameterfv, GetSamplerParameterIiv, and GetSamplerParameterIuiv:

See Also:
  - Constant Field Values

### GL_DECODE_EXT

public static final int GL_DECODE_EXT
Accepted by the <enum> parameter of TexParameterf, TexParameteri, SamplerParameteri, SamplerParameterf, SamplerParameteriv, SamplerParameterfv, SamplerParameterIiv and SamplerParameterIuiv:

See Also:
  - Constant Field Values

### GL_SKIP_DECODE_EXT

public static final int GL_SKIP_DECODE_EXT
Accepted by the <enum> parameter of TexParameterf, TexParameteri, SamplerParameteri, SamplerParameterf, SamplerParameteriv, SamplerParameterfv, SamplerParameterIiv and SamplerParameterIuiv:

See Also:
  - Constant Field Values